# Class: MoneroMessageSignatureType

## MoneroMessageSignatureType

Enumerate message signature types.

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureType.js, line 6

### Members

#### (static) SIGN_WITH_SPEND_KEY

Sign with spend key (value=0).

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureType.js, line 11

#### (static) SIGN_WITH_VIEW_KEY

Sign with the view key (value=1).

Source:
  - src/main/js/wallet/model/MoneroMessageSignatureType.js, line 16